import request, { postBlob } from '@/utils/request'

export function workerElecConfirmList(data) {
  return request({
    url: `/worker/elec/confirm/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function workerElecConfirmListExport(data, name) {
  return postBlob({
    url: '/worker/elec/confirm/list/export',
    data,
    name
  })
}

export function workerElecConfirmDetail(params) {
  return request({
    url: '/worker/elec/confirm/detail',
    method: 'post',
    params
  })
}
